Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Interface XSTypeDecl

All Known Subinterfaces:
  XSSimpleType

All Known Implementing Classes:
  XSComplexTypeDecl

public interface XSTypeDecl
extends weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition

The XML representation for a type declaration schema component is a or element information item

Fields inherited from class weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`COMPLEX_TYPE, SIMPLE_TYPE`

Method Summary
`boolean` | `derivedFrom(java.lang.String ancestorNS, java.lang.String ancestorName)` Experimental: return whether this type is derived from a type of the given namespace name and type name.
`boolean` | `derivedFrom(weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition ancestor)` Experimental: return whether this type is derived from a given type.

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition
`getBaseType, getFinal, getIsAnonymous, getIsFinal, getTypeCategory`

Methods inherited from interface weblogic.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getType`

Method Detail

### derivedFrom

    public boolean derivedFrom(weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition ancestor)

  Experimental: return whether this type is derived from a given type.

### derivedFrom

    public boolean derivedFrom(java.lang.String ancestorNS,
                               java.lang.String ancestorName)

  Experimental: return whether this type is derived from a type of the given namespace name and type name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD